divert(-1) lettre-dtx.m4
# 
# Ceci est un script M4 permettant l'assemblage des divers composants de la classe lettre en un livrable
# lettre.dtx.
# 	
# Auteur Vincent Belache
# Copyright 2014 Vincent Belache
divert(0)dnl
%\def\lettreGrandgousier{\begingroup\catcode35=12\catcode92=12\lettreGargantua}%
%{\edef\temp{\long\def\noexpand\lettreGargantua##1\expandafter\noexpand\csname
% lettreGrandgousierEOF\endcsname{\noexpand\endgroup}}%
%\expandafter}\temp
%\lettreGrandgousier
%<*internal>
%<<CMGERJDSJRTNSPUTSH
\csname\ifx\lettreGargamelle\undefined relax\else lettreGargamelle\fi\endcsname
\input docstrip
\def\lettreGargamelle{\begingroup\catcode35=12\catcode123=12\catcode125=12\lettreBadebec}
{\edef\temp{\long\def\noexpand\lettreBadebec##1\expandafter\noexpand\csname
 lettreGargamelleEOF\endcsname{\noexpand\endgroup}}
\expandafter}\temp
\expandafter\let\csname lettreGargamelleEOF\endcsname\relax

\preamble
 Copyright lt_annee Denis Mgevand et Vincent Belache

 This work may be distributed and/or modified under the
 conditions of the LaTeX Project Public License, either version 1.3
 of this license of (at your option) any later version.
 The latest version of this license is in
   http://www.latex-project.org/lppl.txt
 and version 1.3 or later is part of all distributions of LaTeX
 version 2005/12/01 or later.

 This work has the LPPL maintenance status `maintained'.

 The Current Maintainer of this work is Vincent Belache.

 This work consists of the files lettre.dtx and the derived files.
\endpreamble
	
\askforoverwritefalse

\generate{divert(-1)
lt_setquote
define({[>lt_include<]},{[>changequote(,)include($1)lt_setquote()<]})
define({[>lt_redefine<]},{[>undefine({[>$1<]})define({[>$1<]},{[>$2<]})<]})
define({[>lt_gobble_endinput<]},{[>lt_setquote()divert(-1)
define({[>endinput<]},{[>undefine({[>endinput<]})changequote(,)divert(0)<]})<]})
define({[>lt_root<]},{[>../<]})
define({[>lt_docpath<]},{[>lt_root()doc/latex/lettre/<]})
define({[>lt_stypath<]},{[>lt_root()tex/latex/lettre/<]})
define({[>lt_dtxpath<]},{[>dtx/<]})
define({[>lt_includefile<]},{[>lt_includetodtxasis($1,$1,$2,$3)<]})
define({[>lt_foreach_comma<]},{[>
<]})
define({[>lt_foreach_example_mappee<]},{[>lt_includefile({[>$1<]},lt_dtxpath(),tex)<]})
define({[>lt_foreach_example<]},{[>dnl
define({[>lt_foreach_mappee<]},defn({[>lt_foreach_example_mappee<]}))dnl
lt_foreach(lt_examples)<]})
define({[>lt_foreach_lang_mappee<]},{[>lt_includetodtxdocstripped(lang-{[>$1<]},lettre-{[>$1<]},lt_dtxpath(),ldf)<]})dnl
define({[>lt_foreach_lang<]},{[>dnl
define({[>lt_foreach_mappee<]},defn({[>lt_foreach_lang_mappee<]}))dnl
lt_foreach(lt_langs)<]})
define({[>lt_foreach_auto_mappee<]},{[>lt_includetodtxasis({[>$1<]},{[>$1<]},lt_dtxpath(),tex)<]})
define({[>lt_foreach_auto<]},{[>dnl
define({[>lt_foreach_mappee<]},defn({[>lt_foreach_auto_mappee<]}))dnl
lt_foreach(lt_autos)<]})
define({[>lt_foreach_institut_mappee<]},{[>lt_includetodtxasis({[>$1<]}cfg,lettre-{[>$1<]},lt_dtxpath(),cfg)<]})
define({[>lt_foreach_institut<]},{[>dnl
define({[>lt_foreach_mappee<]},defn({[>lt_foreach_institut_mappee<]}))dnl
lt_foreach(lt_instituts)<]})
dnl traceon({[>lt_foreach_example<]},{[>lt_foreach_lang<]},{[>lt_foreach_mappee<]})
define(lt_includeall,{[>dnl
lt_foreach_example()
lt_includefile(lettre,lt_dtxpath(),tex)
lt_includefile(lettre-sondes,lt_docpath(),tex)
lt_foreach_institut()
lt_foreach_auto()dnl
lt_noambles()
lt_includefile(ecusson55,lt_docpath(),eps)
lt_includefile(amgmono,lt_docpath(),eps)
lt_includetodtxasis({[>index<]},letdoc,lt_docpath(),ist)
lt_includetodtxasis(latexmk,latexmkrc,lt_docpath(),pl)
lt_includetodtxasis(releasenotes,lt_version()-release-notes,lt_dtxpath(),txt)
lt_includetodtxasis(lettretpl,lettre,lt_dtxpath(),tpl)
lt_includetodtxasis(telefaxtpl,telefax,lt_dtxpath(),tpl)
lt_includetodtxasis(instituttpl,institut,lt_dtxpath(),tpl)dnl
lt_defaultambles()
lt_includetodtxdocstripped(paquetage,lettre,lt_dtxpath(),cls)
lt_foreach_lang(){[><]}dnl
lt_endofincludes()
dnl includetodtx(readme,readme,lt_dtxpath(),txt)
dnl includetodtx(alire,alire,lt_dtxpath(),txt)
<]})
define(lt_endofincludes,{[><]})
define(lt_noambles,{[>
\nopreamble\nopostamble<]})
define(lt_defaultambles,{[>
\usepreamble\defaultpreamble\usepostamble\defaultpostamble<]})
define(lt_includetodtxasis,{[>\file{$2.$4}{\from{lettre.dtx}{$1}}{[><]}<]})
define({[>lt_includetodtxdocstripped<]},lt_includetodtxasis($1,$2,$3,$4))
divert(0)dnl
lt_includeall()}

\typeout{%
==============================================================================^^J%
==  Congratulation, you have unpacked lettre.dtx, now:\space\space\space
\space\space\space\space\space\space\space\space\space\space\space\space
\space\space\space\space\space\space\space\space==^^J%
==  let TEXMF denote your installation TEXMF, and\space\space\space\space
\space\space\space\space\space\space\space\space\space\space\space\space
\space\space\space\space\space\space\space\space\space\space\space\space
==^^J%
==  1) move lettre.cls, all the lettre-*.ldf files, and default.ins to\space
\space\space\space\space\space\space==^^J%
==\space\space\space\space\space directory TEXMF/tex/latex/lettre\space
\space\space\space\space\space\space\space\space\space\space\space\space\space
\space\space\space\space\space\space\space\space\space\space\space\space\space
\space\space\space\space\space\space\space\space\space\space==^^J%
==  2) Compile documentation by typing command:\space\space\space\space\space
\space\space\space\space\space\space\space\space\space\space\space\space\space
\space\space\space\space\space\space\space\space\space\space\space\space==^^J%
==\space\space\space\space\space\space latexmk -r latexmkrc.pl\space
\space\space\space\space\space\space\space\space\space\space\space\space\space
\space\space\space\space\space\space\space\space\space\space\space\space\space
\space\space\space\space\space\space\space\space\space\space\space\space\space
\space\space\space\space\space==^^J%
==  3) move lettre.pdf to TEXMF/doc/latex/lettre\space\space\space\space
\space\space\space\space\space\space\space\space\space\space\space
\space\space\space\space\space\space\space\space\space\space\space\space
\space\space==^^J%
==============================================================================%
}
\endbatchfile
	
\lettreGargamelleEOF
%CMGERJDSJRTNSPUTSH
%</internal>
%<*paquetage>
%\lettreGrandgousierEOF
%% \CharacterTable
%%  {Upper-case    \A\B\C\D\E\F\G\H\I\J\K\L\M\N\O\P\Q\R\S\T\U\V\W\X\Y\Z
%%   Lower-case    \a\b\c\d\e\f\g\h\i\j\k\l\m\n\o\p\q\r\s\t\u\v\w\x\y\z
%%   Digits        \0\1\2\3\4\5\6\7\8\9
%%   Exclamation   \!     Double quote  \"     Hash (number) \#
%%   Dollar        \$     Percent       \%     Ampersand     \&
%%   Acute accent  \'     Left paren    \(     Right paren   \)
%%   Asterisk      \*     Plus          \+     Comma         \,
%%   Minus         \-     Point         \.     Solidus       \/
%%   Colon         \:     Semicolon     \;     Less than     \<
%%   Equals        \=     Greater than  \>     Question mark \?
%%   Commercial at \@     Left bracket  \[     Backslash     \\
%%   Right bracket \]     Circumflex    \^     Underscore    \_
%%   Grave accent  \`     Left brace    \{     Vertical bar  \|
%%   Right brace   \}     Tilde         \~}
%\lettreGrandgousier
%</paquetage>
%<*internal>
%\lettreGrandgousierEOF
divert(-1)lt_redefine({[>lt_noambles<]},{[><]})
lt_redefine({[>lt_defaultambles<]},{[><]})
lt_redefine({[>lt_includetodtxasis<]},{[>%\lettreGrandgousier
%</internal>
%<*$1>
%<<CMGERJDSJRTNSPUTSH
lt_include($3$2.$4)
%CMGERJDSJRTNSPUTSH
%</$1>
%<*internal>
%\lettreGrandgousierEOF{[><]}<]})
lt_redefine({[>lt_includetodtxdocstripped<]},{[>%\lettreGrandgousier
%</internal>
%<*$1>
%\lettreGrandgousierEOF
lt_include($3$2.$4)
%\lettreGrandgousier
%</$1>
%<*internal>
%\lettreGrandgousierEOF{[><]}<]})
lt_redefine({[>lt_endofincludes<]},{[>
%\lettreGrandgousier
%</internal>
%\lettreGrandgousierEOF<]})
divert(0)lt_includeall()
dnl Local Variables:
dnl mode: m4
dnl coding: latin-1
dnl End:
